name='obs-ndi'
version='4.11.1'
release='1'
desc='Network A/V in OBS Studio with NewTeks NDI technology.'
homepage='https://github.com/obs-ndi/obs-ndi'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL-2.0 license')
provides=('obs-ndi')
conflicts=('obs-ndi-git' 'obs-ndi-bin')
deps=('avahi' 'libndi' 'obs-studio' 'sndio')
build_deps=('cmake')
deps_arch=('vulkan-icd-loader' 'libgl' 'obs-studio>=27')
build_deps_arch=('git' 'gcc' 'cmake' 'vulkan-headers' 'lib32-gcc-libs' 'lib32-vulkan-icd-loader' 'lib32-libgl')

sources=("https://github.com/Palakis/obs-ndi/archive/{$version}.tar.gz")
checksums=('SKIP')

build() {
    cd ${srcdir}/obs-ndi-${pkgver}
    cmake -B build -DCMAKE_INSTALL_PREFIX=${pkgdir}/usr
    cmake --build build
}

package() {
    cd ${pkgname}-${pkgver}

    install -Dm755 build/obs-ndi.so ${pkgdir}/usr/lib/obs-plugins/obs-ndi.so

    install -d ${pkgdir}/usr/share/obs/obs-plugins/obs-ndi/locale
    cp -a data/locale/* ${pkgdir}/usr/share/obs/obs-plugins/obs-ndi/locale

    install -Dm644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
}
